eoOneMaxMutation(3)

NAME
eoOneMaxMutation - Always write a comment in this format before class definition if you want the class to be documented by Doxygen.

SYNOPSIS

#include <eoOneMaxMutation.h>

Inherits eoMonOp< GenotypeT >.

  Public Member Functions
eoOneMaxMutation ()
Ctor - no requirement.
string className () const
The class name. Used to display statistics.
bool operator() (GenotypeT &_genotype)
modifies the parent

Detailed Description

  template<class GenotypeT> class eoOneMaxMutation< GenotypeT >
Always write a comment in this format before class definition if you want the class to be documented by Doxygen. THere is NO ASSUMPTION on the class GenoypeT. In particular, it does not need to derive from EO

Definition at line 25 of file eoOneMaxMutation.h.

Member Function Documentation

  template<class GenotypeT> bool eoOneMaxMutation< GenotypeT >::operator() (GenotypeT & _genotype) [inline, virtual]

modifies the parent

Parameters:
    _genotype The parent genotype (will be modified)

Requirement if (_genotype has been modified) isModified = true; else isModified = false;

Implements eoUF< GenotypeT &, bool >.

Definition at line 47 of file eoOneMaxMutation.h.

Author

Generated automatically by Doxygen for EO from the source code.